> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageflags.md).

# ImageFlags

Namespace: **System.Drawing.Imaging**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies the attributes of the pixel data contained in an [Image](/system.drawing.managed/api/system.drawing/system.drawing.image.md) object.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ImageFlags : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ImageFlags As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                  | Description                                                                                 |
| --------------------- | ------------------------------------------------------------------------------------------- |
| **Caching**           | Pixel data can be cached for faster access.                                                 |
| **ColorSpaceCmyk**    | Pixel data uses a CMYK color space.                                                         |
| **ColorSpaceGray**    | Pixel data is grayscale.                                                                    |
| **ColorSpaceRgb**     | Pixel data uses an RGB color space.                                                         |
| **ColorSpaceYcbcr**   | Pixel data uses a YCBCR color space.                                                        |
| **ColorSpaceYcck**    | Pixel data uses a YCCK color space.                                                         |
| **HasAlpha**          | Pixel data contains alpha information.                                                      |
| **HasRealDpi**        | Specifies that dots per inch information is stored in the image.                            |
| **HasRealPixelSize**  | Specifies that the pixel size is stored in the image.                                       |
| **HasTranslucent**    | Specifies that the pixel data has alpha values other than 0 (transparent) and 255 (opaque). |
| **None**              | There is no format information.                                                             |
| **PartiallyScalable** | Pixel data is partially scalable, but there are some limitations.                           |
| **ReadOnly**          | Pixel data is read-only.                                                                    |
| **Scalable**          | Pixel data is scalable.                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageflags.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
